{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.elevator.main": {
			"states": {
				"default": {
					"transitions": [
						{
							"closed": "query.variant == 0"
						},
						{
							"open": "query.variant == 1"
						}
					]
				},
				"closed": {
					"on_entry": ["/function gates_and_elevators/elevator/on_closed"],
					"transitions": [
						{"opening": "query.variant != 0"}
					]
				},
				"open": {
					"on_entry": ["/function gates_and_elevators/elevator/on_open"],
					"transitions": [
						{
							"closing": "query.variant != 1"
						}
					]
				},
				"closing": {
					"on_entry": ["/function gates_and_elevators/elevator/on_closing"],
					"transitions": [
						{
							"closed": "query.variant != 2"
						}
					]
				},
				"opening": {
					"on_entry": ["/function gates_and_elevators/elevator/on_opening"],
					"transitions": [
						{
							"open": "query.variant != 3"
						}
					]
				}
			}
		}
	}
}